## audiointerleave

audiointerleave

## Properties

GValueArray * | channel-positions | Read / Write
gboolean | channel-positions-from-input | Read / Write

## Types and Values

struct | GstAudioInterleave

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAggregator
                        ╰── GstAudioAggregator
                            ╰── GstAudioInterleave

## Implemented Interfaces

GstAudioInterleave implements GstChildProxy.

## Description

## Synopsis

### Element Information

plugin | audiomixer
author | Olivier Crete <olivier.crete@collabora.com>
class | Generic/Audio

### Element Pads

name | sink_%u
direction | sink
presence | request
details | audio/x-raw, rate=(int)[ 1, 2147483647 ], channels=(int)1, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, F32LE, F32BE, F64LE, F64BE }, layout=(string){ non-interleaved, interleaved }

name | src
direction | source
presence | always
details | audio/x-raw, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, F32LE, F32BE, F64LE, F64BE }, layout=(string)interleaved

## Functions

## Types and Values

### struct GstAudioInterleave

    struct GstAudioInterleave;

The GstAudioInterleave object structure.

## Property Details

### The `“channel-positions”` property

      “channel-positions”        GValueArray *

Channel positions used on the output.

Flags: Read / Write

### The `“channel-positions-from-input”` property

      “channel-positions-from-input” gboolean

Take channel positions from the input.

Flags: Read / Write

Default value: TRUE